//
//  NSSetExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 20/08/2010.
//  Copyright 2010 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSSet (MWNSSetExtensions)

- (id)anyObjectMatchingPredicate:(NSPredicate *)predicate;

- (void)addObserverToAllObjects:(NSObject *)anObserver forKeyPath:(NSString *)keyPath options:(NSKeyValueObservingOptions)options context:(void *)context;
- (void)removeObserverFromAllObjects:(NSObject *)anObserver forKeyPath:(NSString *)keyPath;

- (NSSet *)filteredSetUsingBlock:(BOOL (^)(id evaluatedObject))block;

@end
