//
//  MWCircle.h
//  Malkinware
//
//  Created by Jim McGowan on 26/7/11.
//  Copyright 2011 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MWVector.h"

#ifndef MWCircle_h
#define MWCircle_h

typedef struct _MWCircle {
	NSPoint center;
	double radius;
} MWCircle;


#define MWZeroCircle MWMakeCircle(NSMakePoint(0.0, 0.0), 0.0)

MWCircle MWMakeCircle(NSPoint center, double radius);
BOOL MWIntersectsCircle(MWCircle aCircle, MWCircle bCircle);

#endif
